@media (max-width: 1880px) {
  #intro .btn {
    margin-right: 170px;
  }
}

@media (max-width: 1750px) {
  #intro .btn {
    margin-right: 140px;
  }
}

@media (max-width: 1650px) {
  #intro .btn {
    margin-right: 50px;
  }

  #intro-2 .title,
  #about .title,
  #intro .title {
    font-size: 35px;
  }

  #intro-3 .images {
    gap: 25px;
  }

  #about-3 .images {
    gap: 60px;
  }

  #contact .title {
    font-size: 60px;
  }
}

@media (max-width: 1460px) {
  #about .image {
    left: 50%;
  }

  #about .text {
    padding: 0 20px;
  }
}

@media (max-width: 1434px) {
  #intro .desc br {
    display: none;
  }

  #intro .text {
    padding: 60px 25px;
  }
}
@media (max-width: 1350px) {
  .top-bar-info {
    gap: 5px;
  }

  .top-bar-address {
    margin-left: 10px;
  }

  .top-bar-contact,
  .top-bar-info {
    margin-left: 30px;
  }

  .top-bar-phones {
    gap: 20px;
  }

  .top-bar-contact {
    gap: 20px;
  }

  .top-bar-logo img {
    height: 90px;
  }

  .nav-menu {
    gap: 50px;
  }

  .nav-menu li a {
    margin-right: 20px;
  }

  .nav-menu::before {
    width: 130px;
  }

  .hero-content {
    padding: 60px 20px;
  }

  .hero-title {
    font-size: 42px;
  }

  .hero-subtitle {
    font-size: 38px;
  }

  .hero-desc {
    font-size: 18px;
  }
}

@media (max-width: 1230px) {
  #intro .grid {
    gap: 15px;
  }
}

@media (max-width: 1220px) {
  .tf-cols {
    flex-wrap: wrap;
    padding-left: 30px;
    padding-right: 90px;
  }

  .tf-col {
    flex: 0 0 calc(50% - 20px);
  }

  .tf-title {
    text-align: center;
  }
}

@media (max-width: 1185px) {
  .top-bar-contact,
  .top-bar-info {
    margin-left: 0;
  }

  .top-bar-site {
    display: none;
  }

  .top-bar-phones {
    flex-direction: column;
    gap: 5px;
  }

  .top-bar-phone {
    padding: 6px 0;
  }

  .top-bar-address i,
  .top-bar-email i,
  .top-bar-phone i {
    width: 28px;
    height: 28px;
  }

  .nav-menu {
    gap: 20px;
  }

  .top-bar-contact,
  .top-bar-info {
    margin-left: 100px;
  }

  .nav-menu::before {
    width: 75px;
  }
}

@media (max-width: 1100px) {
  .categories-inner {
    display: grid;
    grid-template-columns: repeat(3, 200px);
    transform: none;
    margin-bottom: 0;
  }

  #intro {
    flex-direction: column-reverse;
    align-items: center;
    padding: 20px 0;
  }

  #intro .images {
    width: 100%;
    max-width: 800px;
    padding: 20px;
  }

  #intro .text {
    width: 100%;
    max-width: 800px;
    align-items: center;
    text-align: center;
    padding: 30px 20px;
  }

  #intro .btn {
    align-self: center;
    margin-right: 0;
  }

  #intro-2 {
    height: 435px;
  }

  #intro-2 .inner {
    margin-top: 0;
  }

  #intro-3 .images {
    margin-top: 0;
  }

  #intro-3 .images {
    padding: 60px 20px;
  }

  #about {
    flex-direction: column;
    height: auto;
    min-height: unset;
    padding: 0 20px 30px;
  }

  #about .container {
    padding: 0 20px;
  }

  #about .text {
    align-items: center;
    text-align: center;
    margin: 0 auto;
  }

  #about .btn {
    align-self: center;
  }

  #about .image {
    position: relative;
    left: auto;
    right: auto;
    top: auto;
    bottom: auto;
    width: 75%;
    height: 430px;
  }

  #about-2 .col img {
    width: 160px;
  }

  #about-3 .images {
    gap: 25px;
  }

  #contact .title {
    font-size: 50px;
  }
}

@media (max-width: 1065px) {
  .top-bar-contact,
  .top-bar-info {
    margin-left: 20px;
  }
}

@media (max-width: 1050px) {
  .tf-inner {
    flex-direction: column;
    align-items: center;
  }

  .tf-logo {
    justify-content: center;
  }

  .tf-triangle {
    display: none;
  }

  .tf-cols {
    flex-wrap: nowrap;
    width: 100%;

    padding: 20px 0;
  }

  .tf-col {
    flex: 1;
  }

  .tf-logo img {
    margin: 0;
    padding: 20px 0;
    height: 360px;
    width: auto;
  }
}


@media (max-width: 1023px) {
  #products .alpha-list .alpha-item:hover::after,
  #products .alpha-list .alpha-item.active::after {
    display: none;
  }

  #products .alpha-list .alpha-item {
    border-radius: 4px;
  }

}


@media (max-width: 987px) {
  .body {
    padding: 60px 0 0 0;
  }

  .top-bar {
    display: none;
  }

  .nav {
    display: none;
  }

  .mobile-header {
    display: flex;
  }

  .mobile-social-bar {
    display: flex;
  }

  .main-footer {
    margin-bottom: 44px;
  }
}

@media (max-width: 940px) {
  #intro-3 .images {
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
  }

  #intro-3 .img-wrap {
    flex: 1 1 200px;
    max-width: 220px;
  }
}

@media (max-width: 850px) {
  #about-2 .inner {
    flex-direction: column;
    align-items: center;
  }
}

@media (max-width: 768px) {
  .swiper-pagination-hero {
    justify-content: center;
  }

  .swiper-pagination-hero .swiper-pagination-bullet {
    width: 38px;
    height: 7px;
  }

  .tf-cols {
    flex-direction: column;
    align-items: center;
  }

  .tf-col {
    width: 100%;
  }

  .footer-content {
    flex-direction: column;
    align-items: center;
    gap: 10px;
    text-align: center;
  }

  .main-footer {
    padding: 0;
  }

  .main-footer .container {
    padding: 20px 0;
  }

  .hero-content {
    align-items: center;
    align-self: center;
    text-align: center;
  }

  .hero-title {
    font-size: 35px;
  }

  .hero-subtitle {
    font-size: 32px;
  }

  .hero-desc {
    font-size: 16px;
  }

  #intro-2 .title,
  #about-2 .title,
  #about .title,
  #intro .title {
    font-size: 28px;
  }

  #about .btn,
  #about .desc,
  #intro .desc {
    font-size: 16px;
  }

  #about-3 .images {
    flex-direction: column;
    align-items: center;
  }

  #about-3 {
    padding: 40px 0;
  }

  #contact .title {
    font-size: 42px;
    text-align: center;
  }

  #contact .desc {
    font-size: 16px;
    text-align: center;
  }

  #contact .btn,
  #contact .field input,
  #contact .field textarea {
    font-size: 16px;
  }

  #contact .row {
    flex-direction: column;
  }

  #contact .row,
  #contact .form {
    gap: 15px;
  }

  #contact .bottom {
    justify-content: center;
  }

  #contact-3 .map-container {
    height: 400px;
  }

  #products .header .container {
    flex-direction: column;
    align-items: center;
    gap: 15px;
  }

  #gallery .title,
  #products .title {
    font-size: 25px;
  }

  #products .btn-all {
    font-size: 16;
    padding: 8px 22px;
  }

  #gallery .grid {
    grid-template-columns: repeat(3, 1fr);
    padding: 80px 20px;
  }
}



@media (max-width: 720px) {
  .categories-inner {
    grid-template-columns: repeat(2, 200px);
  }

  #about .image {
    width: 100%;
    height: auto;
    aspect-ratio: 16 / 9;
    margin-top: 30px;
  }

  #about .container {
    padding: 0;
  }
}

@media (max-width: 650px) {
  #products .columns {
    flex-direction: column;
    gap: 0;
  }
}

@media (max-width: 580px) {
  #contact .bottom {
    flex-direction: column;
  }
  #contact .title {
    font-size: 35px;
  }

  #contact-2 p {
    flex-direction: column;
    text-align: center;
  }
  
  .mobile-logo-img {
    height: 40px;
  }
}

@media (max-width: 480px) {
  .hero-title {
    font-size: 28px;
  }

  .hero-subtitle {
    font-size: 25px;
  }

  .hero-desc {
    font-size: 16px;
  }

  .btn-products,
  .btn-contact {
    width: 130px;
    height: 36px;
    font-size: 14px;
  }

  .categories-inner {
    grid-template-columns: repeat(2, 1fr);
    padding: 15px;
    gap: 15px;
  }

  .cat-card img {
    width: 60px;
  }

  .cat-card span {
    font-size: 15px;
  }

  .cat-card {
    padding: 10px 5px;
  }

  .categories-bar {
    padding: 20px 0;
  }

  .footer-separator {
    display: none;
  }

  .footer-left p {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 4px;
  }

  #products .list {
    padding: 40px 0;
  }

  #gallery .grid {
    grid-template-columns: repeat(2, 1fr);
  }
}
